Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 301325

Summary: Please stabilize app-emulation/dosemu-1.4.1_pre20091009
Product: Gentoo Linux Reporter: Hanno Böck <hanno>
Component: Current packagesAssignee: Hanno Böck <hanno>
Status: RESOLVED FIXED    
Severity: normal Keywords: STABLEREQ
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 302468, 323389    

Description Hanno Böck gentoo-dev 2010-01-17 23:10:57 UTC
Current stable (1.4.0) doesn't even build with latest gcc and bugs are popping up that are most likely fixed in this snapshot, please stabilize.
Comment 1 Andreas Schürch gentoo-dev 2010-01-18 19:42:10 UTC
It passed all tests successful here on x86. 
Comment 2 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-19 15:31:57 UTC
stable x86, thanks Andreas
Comment 3 Konstantin Münning 2010-02-05 11:10:56 UTC
(In reply to comment #2)
> stable x86, thanks Andreas
> 

Sorry, this is too early. When Borland Pascal ist run app-emulation/dosemu-1.4.1_pre20091009 exits with

ERROR: general protection at 0x69740: 0

and when Borland C is run the error is

ERROR: general protection at 0x8132: 29

I Would't say that's stable. (app-emulation/dosemu-1.4.0.1 works fine)
Comment 4 Hanno Böck gentoo-dev 2010-02-13 17:46:53 UTC
Konstantin, can you open a separate bug for your issue? Is any of your failing apps available for download anywhere? Tried with turbo pascal 7 and that seems to work. What versions of Borland Pascal/C are failing for you?
Comment 5 Pacho Ramos gentoo-dev 2010-05-22 09:11:32 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > stable x86, thanks Andreas
> > 
> 
> Sorry, this is too early. When Borland Pascal ist run
> app-emulation/dosemu-1.4.1_pre20091009 exits with
> 
> ERROR: general protection at 0x69740: 0
> 
> and when Borland C is run the error is
> 
> ERROR: general protection at 0x8132: 29
> 
> I Would't say that's stable. (app-emulation/dosemu-1.4.0.1 works fine)
> 

Did you report this?
Comment 6 Markos Chandras (RETIRED) gentoo-dev 2010-05-27 15:52:40 UTC
Should we proceed with that anyway?
Comment 7 Hanno Böck gentoo-dev 2010-05-27 16:08:38 UTC
Yes, as we don't have any further info and no way to reproduce this bug, please go ahead.

Konstantin, if this bug still persists, please open a separate bug report and provide some more detailed information.
Comment 8 Samuli Suominen gentoo-dev 2010-06-10 09:34:54 UTC
This is also required for GCC 4.4 and fortify sources, level 2, so blocks 302468.
Comment 9 Christoph Mende (RETIRED) gentoo-dev 2010-06-24 08:59:07 UTC
amd64 stable, closing